Vu+
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Aggiornare script CrossEPG

Discussion in 'Plugin vecchi OE 1.6 non più compatibili' started by Giampitt, Jan 7, 2012.

  1. pec0sat

    pec0sat Vu+ Newbie

    Messages:
    8
    Il file postato da dalraist non va più bene perchè dallo switchoff in poi è cambiata la scritta nell' EPG sui canali Mediaset, non è più "visibile in analogico e digit. terrestre" ma adesso è "Visibile gratis su tv terrestre e TivùSat".
    Ho provato a modificare il file EventName.py inserendo la nuova scritta ma ottengo schermate verdi a raffica.
    Controllando il log credo che il problema sia qui:
    Code:
    File "/usr/lib/enigma2/python/Components/Converter/EventName.py", line 36
    SyntaxError: Non-ASCII character '\xf9' in file /usr/lib/enigma2/python/Components/Converter/EventName.py on line 36, but no encoding declared; see http://www.python.org/peps/pep-0263.html for details (EventName.py, line 36)
    In pratica sti rompipalle dei mediaset hanno inserito un carattere (la ù di TivùSat) che non è in codice ASCII e questo crea problemi. Bisognerebbe dichiarare nel file l'encoding, qualcosa del tipo
    Code:
    #!/usr/bin/python
              # -*- coding: latin-1 -*-
    Ma non ho idea di dove mettere nel file questa stringa e SE va messo effettivamente quello che ho scritto.
    Morale: addio alla possibilità di eliminare quella fastidiosa scritta se non interviene qualcuno che ne sa più di noi comuni utenti.
     
  2. pec0sat

    pec0sat Vu+ Newbie

    Messages:
    8
    Dopo aver letto un pò in giro ho aggiunto esattamente all'inizio del file EventName con Notepad++ questo:
    Code:
    #!/usr/bin/python
    # -*- coding: latin-1 -*-
    
    Adesso niente più schermate verdi ma il risultato non è proprio quello sperato.
    Posizionandosi su un canale mediaset nella barra info (evento corrente - prossimo evento) compare sempre Visibile gratis su tv terrestre e TivùSat. Il miglioramento sta solo nel fatto che se si scarica l'epg dei mediaset tramite importazione csv o posizionandosi su un canale RAI di tivusat, questa poi rimane e non viene sovrascritta permanentemente in tutti i canali mediaset con l'odiosa dicitura. Comunque non è poco.



    Ad ogni modo non ho sostituito il file con quello di dalraisat, ho modificato l'originale EventName.py che mi sono trovato nel mio decoder in /usr/lib/enigma2/python/Components/Converter, questo perchè ho visto che era diverso da quello postato da dalraisat
     
  3. valesan

    valesan Vu+ User

    Messages:
    110
    Ciao a tutti, riporto in vista questo post perchè ho anch'io dei problemi con crossepg e non riesco a risolverli nemmeno seguendo tutti i consigli che avete postato quì e quà : http://www.vuplus-community.net/board/threads/crossepg.2355/page-4#post-68985

    vi spiego, ho la 1.7.4, tutto funziona a meraviglia e non vorrei aggiornare se possibile ;)
    l'unica pecca è che non è presente lo script per i canali mediaset !
    allora ho seguito i vostri ocnsigli ed ho sovrascritto i miei file con quelli del fix del secondo post ma il risultato è che da quel momento il cross epg non scarica un bel niente !
    se forzo il download parte dice due o tre cose velocemente ma non carica niente e questo lo fa sia se provo opentv che un qualsiasi script rai alias mediaset o premium :(
    ho verificato i permessi, sembra ok, li ho impostati a 755 ma niente , a 777 (solo come test) ma niente ...
    allora disperato ho disistallato crossepg dal menu del dec e l'ho reinstallato da ******* ...
    fatto questo dopo un riavvio il cross ora scarica ma ... non c'è più lo script mediaset :(
    ho riprovato a sovrascrivere con un fix trovato quì : http://www.vuplus-community.net/board/threads/crossepg.2355/page-4#post-68985
    ma purtroppo mediaset si blocca dicendomi porvider non trovato !

    come posso risolvere ?
    qual'è la versione più aggiornata di crossEPG che vada sul mio vu+duo ?
    che script posso metterci per avere RAI e Mediaset ?

    scusate la lungaggine ma sono due giorni che ci impazzisco sopra
     
  4. badbadbad

    badbadbad Vu+ Newbie

    Messages:
    30
    Io ho risolto con la soluzione data da Diamondear nel post che hai citato tu.
    Cmq se non ricordo male con la 1.7.4 c'era ancora il problema dell'EPG di mediaset " visibile in analogico o digitale terrestre", quindi ti consiglio di mettere la 1.78 e poi segui la procedura indicata da Diamondear.

    Ciao
     
  5. valesan

    valesan Vu+ User

    Messages:
    110
    ti ringrazio per la risposta rapida, ma purtroppo come già scritto a me il fix di Diamondear non risolve !
    ora ho provato ad installare manualmente i pacchetto CrossEPG 6.2 305 ... installazione andata a buon fine ma lo script di mediaset FTA mi restituisce l'errore "Invalid Provider"
    ho riscritto i file con quelli di Diamondear per vedere se con la nuova versione andava ma ho lo stesso identico errore !
    solo con mediaset FTA, gli altri script vanno e va anche l'opentv ... per ora mi sa che mi arrendo, non ho voglia di installare la nuova versione di BH :(
     
  6. valesan

    valesan Vu+ User

    Messages:
    110
    a questo punto mi sa che sbaglio qualcosa !!!
    ho deciso di aggiornare, ho installato l'ultima 1.7.8 light ... installo lista canali abilito il crossEPG ma su mediaset non scarica niente :(
    allora ho riscaricato il fix di Diamondear e l'ho sovrascritto, bè non ci credo nemmeno io ma ho lo stesso errore di prima errore EPG : Invalid Provider
    solo su Mediaset FTA, gli altri per fortuna funzionano

    se qualcuno ha dei suggerimenti sono graditissimi ;)
     
  7. diegomi

    diegomi Vu+ Newbie

    Messages:
    1
    Ciao Qualcuno ha risolto epg di mediaset Prepium

    A me gli script falliscono sempre..

    Qualcuno è riusito a far funzionare CROSSEPG con mediaset e mediaset premum ????
     
  8. valesan

    valesan Vu+ User

    Messages:
    110
    io no, premium non mi interessa ma mediaset fta mi fallisce e l'ho rimosso !
     
  9. Jackslater

    Jackslater Vu+ Newbie

    Messages:
    55
    Ciao, io ho aggiornato lo script così.
    Come ha scritto già dalraist devi editare il file/usr/lib/enigma2/python/Components/Converter/EventName.py.
    Ma stavolta sostuisci la riga 28

    Code:
    return event.getEventName()
    con:

    Code:
    if "Visibile gratis" in event.getEventName():
      return event.getShortDescription().title()
    else:
      return event.getEventName()

    Da inserire dunque al posto della riga 28 (allineando i testi senza usare spazi, tramite il tasto TAB).
    In pratica appena lo script trova la scritta "Visibile gratis" all'interno del nome dell'evento (EventName), sostituisce quest'ultimo con il titolo dell'evento (title).

    Spero torni utile a qualcuno, io sono ancora su BH 1.7.3.
     
  10. Shiro

    Shiro BH-C

    Messages:
    1,696
    guarda che nelle bh aggiornate non serve nulla di tutto questo.
     
    alfa_omega likes this.
  11. Jackslater

    Jackslater Vu+ Newbie

    Messages:
    55
    Lo sapevo, infatti ho scritto che io ho la ormai vecchia (ma forse più semplice e meno incasinata) BH 1.7.3.
     
  12. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    Ma perchè non aggiorni BH?
    Sono passati anni luce dalla 173 :)
     
  13. Jackslater

    Jackslater Vu+ Newbie

    Messages:
    55
    Perchè implica dover reinstallare e riconfigurare tutti i plugin. ;)
     
  14. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    Bhè, se usi BH personal Backup hai ben poco da configurare. ;)
     
  15. zio

    zio Vu+ User

    Messages:
    442
    Scusate la deficenza ma io non ne vengo a capo,sempre schermate verdi e non ho chiaro dove e cosa lasciare. potete postare il file sicuramente funzionante cosi' lo controllo ?

    1000 Grazie in anticipo :(
     
  16. sud81

    sud81 Vu+ Newbie

    Messages:
    1
    ciao lo so che risale a tanto tempo fa , ma non e ke avresti il file mediaprem.conf modificato come descritto nel tuo post?
     

Share This Page